CORE-DAEMON(1)

NAME
core-daemon - manual page for core-daemon 5.3.0

DESCRIPTION
usage: core-daemon [-h] [-f CONFIGFILE] [-p PORT] [-n NUMTHREADS] [--ovs]

    [--grpc] [--grpc-port GRPCPORT] [--grpc-address GRPCADDRESS]

CORE daemon v.5.3.0 instantiates Linux network namespace nodes.

  optional arguments:

-h, --help
    show this help message and exit

-f CONFIGFILE, --configfile CONFIGFILE
    read config from specified file; default = /etc/core/core.conf

-p PORT, --port PORT
    port number to listen on; default = 4038

-n NUMTHREADS, --numthreads NUMTHREADS
    number of server threads; default = 1

--ovs
    enable experimental ovs mode, default is false

--grpc
    enable grpc api, default is false

--grpc-port GRPCPORT
    grpc port to listen on; default 50051

--grpc-address GRPCADDRESS
    grpc address to listen on; default localhost